<template>
    <div container>
        <Alert />
        <Confirm />
        <Prompt />
        <Request :show="$store.state.request.active" />
        <ErrorDetails :show="$route.query.error === 'T'"/>
        <router-view name="view"></router-view>
        <router-view name="dialog"></router-view>
    </div>
</template>
<script>
  import Alert from './modals/Alert';
  import Confirm from './modals/Confirm';
  import Prompt from './modals/Prompt';
  import Request from './Request';
  import ErrorDetails from './ErrorDetails';
  export default {
    components: {
      Alert,
      Confirm,
      Prompt,
      Request,
      ErrorDetails
    }
  }
</script>
<style scoped>
    .container{
        position: absolute;
        width: 100%;
        height: 100%;
    }
</style>
